#! /usr/bin/env python
#

import sys

#  Add the Mp modules directory to the Python module load path.

sys.path[:0] = [ "/opt/mx/lib/mp" ]

import Mp

if ( len(sys.argv) != 2 ):
	print ""
	print "Usage:  read variable_name"
	print ""
	sys.exit(0);

variable_name = sys.argv[1]

record_list = Mp.setup_database( "/opt/mx/etc/motor.dat" )

variable = record_list.get_record( variable_name )

value = variable.read()

print "Variable '%s' value = %g" % (variable_name, value[0] )

